-- mm_angle.lua: Angle Checker [nclok1405]

NAVPOINTS = {
"mm_angle_$Nangle0",
"mm_angle_$Nangle5",
"mm_angle_$Nangle10",
"mm_angle_$Nangle15",
"mm_angle_$Nangle20",
"mm_angle_$Nangle25",
"mm_angle_$Nangle30",
"mm_angle_$Nangle35",
"mm_angle_$Nangle40",
"mm_angle_$Nangle45",
"mm_angle_$Nangle50",
"mm_angle_$Nangle55",
"mm_angle_$Nangle60",
"mm_angle_$Nangle65",
"mm_angle_$Nangle70",
"mm_angle_$Nangle75",
"mm_angle_$Nangle80",
"mm_angle_$Nangle85",
"mm_angle_$Nangle90",
"mm_angle_$Nangle95",
"mm_angle_$Nangle100",
"mm_angle_$Nangle105",
"mm_angle_$Nangle110",
"mm_angle_$Nangle115",
"mm_angle_$Nangle120",
"mm_angle_$Nangle125",
"mm_angle_$Nangle130",
"mm_angle_$Nangle135",
"mm_angle_$Nangle140",
"mm_angle_$Nangle145",
"mm_angle_$Nangle150",
"mm_angle_$Nangle155",
"mm_angle_$Nangle160",
"mm_angle_$Nangle165",
"mm_angle_$Nangle170",
"mm_angle_$Nangle175",
"mm_angle_$Nangle180",
"mm_angle_$Nangle185",
"mm_angle_$Nangle190",
"mm_angle_$Nangle195",
"mm_angle_$Nangle200",
"mm_angle_$Nangle205",
"mm_angle_$Nangle210",
"mm_angle_$Nangle215",
"mm_angle_$Nangle220",
"mm_angle_$Nangle225",
"mm_angle_$Nangle230",
"mm_angle_$Nangle235",
"mm_angle_$Nangle240",
"mm_angle_$Nangle245",
"mm_angle_$Nangle250",
"mm_angle_$Nangle255",
"mm_angle_$Nangle260",
"mm_angle_$Nangle265",
"mm_angle_$Nangle270",
"mm_angle_$Nangle275",
"mm_angle_$Nangle280",
"mm_angle_$Nangle285",
"mm_angle_$Nangle290",
"mm_angle_$Nangle295",
"mm_angle_$Nangle300",
"mm_angle_$Nangle305",
"mm_angle_$Nangle310",
"mm_angle_$Nangle315",
"mm_angle_$Nangle320",
"mm_angle_$Nangle325",
"mm_angle_$Nangle330",
"mm_angle_$Nangle335",
"mm_angle_$Nangle340",
"mm_angle_$Nangle345",
"mm_angle_$Nangle350",
"mm_angle_$Nangle355",
"mm_angle_$Nangle360",
"mm_angle_$Nangle365",
"mm_angle_$Nangle370",
"mm_angle_$Nangle375",
"mm_angle_$Nangle380",
"mm_angle_$Nangle385",
"mm_angle_$Nangle390",
"mm_angle_$Nangle395",
"mm_angle_$Nangle400",
"mm_angle_$Nangle405",
"mm_angle_$Nangle410",
"mm_angle_$Nangle415",
"mm_angle_$Nangle420",
"mm_angle_$Nangle425",
"mm_angle_$Nangle430",
"mm_angle_$Nangle435",
"mm_angle_$Nangle440",
"mm_angle_$Nangle445",
"mm_angle_$Nangle450",
"mm_angle_$Nangle455",
"mm_angle_$Nangle460",
"mm_angle_$Nangle465",
"mm_angle_$Nangle470",
"mm_angle_$Nangle475",
"mm_angle_$Nangle480",
"mm_angle_$Nangle485",
"mm_angle_$Nangle490",
"mm_angle_$Nangle495",
"mm_angle_$Nangle500",
"mm_angle_$Nangle505",
"mm_angle_$Nangle510",
"mm_angle_$Nangle515",
"mm_angle_$Nangle520",
"mm_angle_$Nangle525",
"mm_angle_$Nangle530",
"mm_angle_$Nangle535",
"mm_angle_$Nangle540",
"mm_angle_$Nangle545",
"mm_angle_$Nangle550",
"mm_angle_$Nangle555",
"mm_angle_$Nangle560",
"mm_angle_$Nangle565",
"mm_angle_$Nangle570",
"mm_angle_$Nangle575",
"mm_angle_$Nangle580",
"mm_angle_$Nangle585",
"mm_angle_$Nangle590",
"mm_angle_$Nangle595",
"mm_angle_$Nangle600",
"mm_angle_$Nangle605",
"mm_angle_$Nangle610",
"mm_angle_$Nangle615",
"mm_angle_$Nangle620",
"mm_angle_$Nangle625"
}
NAVPOINTS_COUNT = sizeof_table(NAVPOINTS)

ANGLES = {
0.0,
0.05,
0.1,
0.15,
0.2,
0.25,
0.3,
0.35,
0.4,
0.45,
0.5,
0.55,
0.6,
0.65,
0.7,
0.75,
0.8,
0.85,
0.9,
0.95,
1.0,
1.05,
1.1,
1.15,
1.2,
1.25,
1.3,
1.35,
1.4,
1.45,
1.5,
1.55,
1.6,
1.65,
1.7,
1.75,
1.8,
1.85,
1.9,
1.95,
2.0,
2.05,
2.1,
2.15,
2.2,
2.25,
2.3,
2.35,
2.4,
2.45,
2.5,
2.55,
2.6,
2.65,
2.7,
2.75,
2.8,
2.85,
2.9,
2.95,
3.0,
3.05,
3.1,
3.15,
3.2,
3.25,
3.3,
3.35,
3.4,
3.45,
3.5,
3.55,
3.6,
3.65,
3.7,
3.75,
3.8,
3.85,
3.9,
3.95,
4.0,
4.05,
4.1,
4.15,
4.2,
4.25,
4.3,
4.35,
4.4,
4.45,
4.5,
4.55,
4.6,
4.65,
4.7,
4.75,
4.8,
4.85,
4.9,
4.95,
5.0,
5.05,
5.1,
5.15,
5.2,
5.25,
5.3,
5.35,
5.4,
5.45,
5.5,
5.55,
5.6,
5.65,
5.7,
5.75,
5.8,
5.85,
5.9,
5.95,
6.0,
6.05,
6.1,
6.15,
6.2,
6.25
}

-- Main Mission Function
function mm_angle_start(checkpoint, is_restart)
	local cp = checkpoint
	
	set_mission_author("nclok1405")
	
	-- Fade Out
	mission_start_fade_out()
	
	teleport_coop(NAVPOINTS[1], NAVPOINTS[1])
	objective_text(0, "", ANGLES[1], "", SYNC_ALL)
	
	mission_start_fade_in()
	-- Fade In
	
	mission_help_table("{ACTION_IMG} Change angle by +0.05\n{PICKUP_RELOAD_IMG} Change angle by -0.05")
	
	local n = 1
	
	while true do
		local changed = false
		
		if player_button_just_pressed(4) then	-- Action key [E]
			n = n + 1
			if n > NAVPOINTS_COUNT then
				n = 1
			end
			changed = true
		elseif player_button_just_pressed(14) then	-- Reload key [R]
			n = n - 1
			if n < 1 then
				n = NAVPOINTS_COUNT
			end
			changed = true
		end
		
		if changed then
			teleport_coop(NAVPOINTS[n], NAVPOINTS[n])
			mission_help_table_nag("Angle: "..tostring(ANGLES[n]))
			objective_text(0, "", ANGLES[n], "", SYNC_ALL)
		end
		
		thread_yield()
	end
end

-- Called when the mission ends with a success
function mm_angle_success()
end

-- Cleanup
function mm_angle_cleanup()
end
